Package net.shibboleth.idp.saml.nameid.impl

# Interface TransientIdGenerationStrategy

All Known Implementing Classes:
  `CryptoTransientIdGenerationStrategy`, `StoredTransientIdGenerationStrategy`

public interface TransientIdGenerationStrategy
Generates and manages transient identifiers according to specific strategies.

## Method Summary

Modifier and Type
Method
Description
`String`
`generate(String relyingPartyId, String principalName)`
Generate a new Transient ID.

## Method Details

### generate

@Nonnull @NotEmpty String generate(@Nonnull @NotEmpty String relyingPartyId, @Nonnull @NotEmpty String principalName) throws SAMLException
Generate a new Transient ID.

Parameters:
  `relyingPartyId` - the relying party for whom we're generating
  `principalName` - the principal to map to
Returns:
  the new identifier
Throws:
  `SAMLException` - if an error occurs generating the identifier